Page MenuHomePhabricator

Update Echo to use AuthManager
Closed, ResolvedPublic

Description

Items needing updating:

  • Uses the AddNewAccount hook - Use LocalUserCreated instead
  • Calls $wgAuth->allowPropChange( 'emailaddress' ) - Use AuthManager::singleton()->allowsPropertyChange( 'emailaddress' ) instead.

Event Timeline

Tgr created this task.Aug 26 2015, 6:25 AM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr added subscribers: Aklapper, Tgr.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 26 2015, 6:25 AM
Tgr added a comment.Aug 26 2015, 6:28 AM
This comment was removed by Tgr.
Tgr updated the task description. (Show Details)Aug 26 2015, 6:28 AM
Tgr set Security to None.
Catrope triaged this task as Low priority.Aug 26 2015, 11:18 PM
Catrope added a subscriber: Catrope.
Anomie updated the task description. (Show Details)May 11 2016, 8:47 PM

Change 290732 had a related patch set uploaded (by Anomie):
Update for AuthManager

https://gerrit.wikimedia.org/r/290732

Change 290732 merged by jenkins-bot:
Update for AuthManager

https://gerrit.wikimedia.org/r/290732

Anomie closed this task as Resolved.May 26 2016, 7:24 PM
Anomie claimed this task.

Change 296536 had a related patch set uploaded (by Gergő Tisza):
Update for AuthManager

https://gerrit.wikimedia.org/r/296536

Change 296536 merged by jenkins-bot:
Update for AuthManager

https://gerrit.wikimedia.org/r/296536